## wxwidgets3.0 3.0.2+dfsg

=== locale/Makefile ===
# this is the makefile for generating wxstd.pot message catalog file and
# building lang.mo files from the translated lang.po catalogs

# this makefile may be invoked to build either wxstd.pot or any lang.mo

# Autodetect the languages we support.  Currently this relies on make
# being called with this dir as the cwd, but if we generate this file
# with configure an explicit path should be specified -- RL.

WX_LINGUAS := $(shell ls *.po */*.po 2> /dev/null | sed 's/wxstd.pot//g' | sed 's/.po//g')
WX_LINGUAS_UPDATE := $(shell ls *.po 2> /dev/null | sed 's/wxstd.pot//g' | sed 's/.po//g')

# the programs we use (TODO: use configure to detect them)
MSGFMT=msgfmt --verbose
MSGMERGE=msgmerge
XGETTEXT=xgettext
XARGS=xargs

# common xgettext args: C++ syntax, use the specified macro names as markers
XGETTEXT_ARGS=-C -k_ -kwxPLURAL:1,2 -kwxTRANSLATE -kwxGetTranslation -s -j

# implicit rules
%.mo: %.po
	$(MSGFMT) -c -o $@ $<

# a PO file must be updated from wxstd.pot to include new translations
# (but not manually maintained platform-specific files like msw/it.po)
$(foreach lang,$(WX_LINGUAS_UPDATE),$(lang).po): wxstd.pot

%.po:
	if [ -f $@ ]; then $(MSGMERGE) $@ wxstd.pot > $@.new && mv $@.new $@; else cp wxstd.pot $@; fi

wxstd.pot:
	touch $@
	find ../include -name "*.h" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.pot
	find ../src -name "*.cpp" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.pot

allpo: force-update
	@-for t in $(WX_LINGUAS_UPDATE); do $(MAKE) $$t.po; done

allmo:
	@for t in $(WX_LINGUAS); do $(MAKE) $$t.mo; done

force-update:
	$(RM) wxstd.pot

check:
	@for t in $(WX_LINGUAS); do \
	    $(MSGFMT) -c -o /dev/null $$t.po 2>/dev/null || echo "$$t.po is BROKEN."; \
	done

# print out the percentage of the translated strings
stats: FORCE
	@for i in $(WX_LINGUAS); do \
		x=`$(MSGFMT) -o /dev/null "$$i.po" 2>&1 | sed -e 's/[,\.]//g' \
			-e 's/\([0-9]\+\) translated messages\?/TR=\1/' \
			-e 's/\([0-9]\+\) fuzzy translations\?/FZ=\1/' \
			-e 's/\([0-9]\+\) untranslated messages\?/UT=\1/'`; \
		TR=0 FZ=0 UT=0; \
		eval $$x; \
		TOTAL=`expr $$TR + $$FZ + $$UT`; \
		echo "$$i.po `expr 100 "*" $$TR / $$TOTAL`% of $$TOTAL strings"; \
	done

FORCE:

.PHONY: allpo allmo force-update percentage FORCE

## wxwidgets3.0 3.0.0

=== debian/changelog ===
wxwidgets3.0 (3.0.0-2) unstable; urgency=low

  * Build wx-common instead of wxwidgets2.8 building it.
  * debian/rules: Strip out no longer used -doc package handling.
  * debian/rules: Rename extra_packages to do_not_build_packages for clarity.
  * Backport fixes from upstream VCS:
    + debian/patches/fix-wxsocket-waitforaccept.patch: Fix
      wxSocket::WaitForAccept() in worker thread.
    + debian/patches/fix-wxvector-overallocation.patch: Fix wxVector
      overallocation.
    + debian/patches/set-wxinfobargeneric-text-colour-correctly.patch: Set
      wxInfoBarGeneric text colour correctly.

 -- Olly Betts <olly@survex.com>  Sat, 30 Nov 2013 10:44:17 +1300

wxwidgets3.0 (3.0.0-1) unstable; urgency=low

  * New upstream release! (Closes: #613431, #492896)
    + Incorporates all our patches.
    + __WXDEBUG__ is now on by default, so our -dbg packages now just contain
      detached debugging symbols. (Closes: #655251)
    + Upstream tarball is now DFSG-free, so we no longer repack it.
  * The wxwidgets2.8 source package was based on wxPython sources, but
    wxwidgets3.0 is based on wxWidgets.  The major motivation is we don't want
    to wait until wxPython 3.0.0 is released to package wxWidgets 3.0.0, but
    it's probably better overall anyway.  Currently the "-doc" package is gone
    (as these docs aren't in wx source code distribution), but this should
    reappear in the near future.
  * debian/control: Drop conflicts against packages (or versions of packages)
    which no longer exist in any supported Debian or Ubuntu release.

 -- Olly Betts <olly@survex.com>  Tue, 12 Nov 2013 11:38:12 +0000

wxwidgets2.8 (2.8.12.1+dfsg-1) unstable; urgency=low

  * Re-repack upstream to remove unused embedded copy of editra, which
    contains a base64 encoded exe file without source code. (Closes: #724470)
    + New patch fix-editra-removal.patch to fix up build system for removal of
      editra during repack.
    + debian/copyright: Drop license information for files in editra which we
      now remove in the repack.
    + debian/rules: Update for removal of editra during repack.
    + Just remove the upstream debian directory while repacking, rather than
      carefully renaming it to debian-upstream.
  * debian/copyright: Include licence info for wxPython/wx/lib/pubsub.
  * Use xz compression for source and binary packages.
  * debian/wxPython-tools.1: Make the pointer the pydoc documentation slightly
    more helpful by giving an example pydoc invocation.

 -- Olly Betts <olly@survex.com>  Tue, 24 Sep 2013 18:27:56 +1200

wxwidgets2.8 (2.8.12.1-16) unstable; urgency=low

  * Fix warning when compiling with recent GCC in C++11 mode.
    (Closes: #721184)
  * debian/copyright: Add missing licences for contrib/src/stc/scintilla,
    wxPython/wx/tools/Editra/src/extern/pygments and
    wxPython/contrib/activex/wxie.
  * Actually apply patches to add Tamil and Arabic i18n.
  * debian/build_all: Remove unused script.
  * debian/patches/WX_CONFIG.dpatch: Remove unused, obsolete patch.
  * debian/patches/dont-check-for-pangox.patch: The check for pangox is only
    done if building wxX11, which we don't do, so this patch isn't actually
    necessary, so drop it.
  * New patch wxpython-=-should-be-==.patch which fixes mishandling of the
    bitmap depth in the wxPython wrapper code.

 -- Olly Betts <olly@survex.com>  Thu, 12 Sep 2013 16:59:29 +1200

wxwidgets2.8 (2.8.12.1-15) unstable; urgency=low

  * Fix race condition which could result in mmedia libraries going into more
    than one binary package in a parallel package build.  (Closes: #719250)
  * wx-common now "Recommends: zip".  (Closes: #717857)
  * Add python-libxml2-dbg to "Build-Depends:" to fix FTBFS on HPPA.
    (Closes: #719086)
  * Don't mark -dbg packages as "Multi-Arch: same" - they depend on
    wx2.8-headers, which isn't multi-arch, so they can't be parallel installed.
  * Improve short descriptions of libwxgtk-media* packages.

 -- Olly Betts <olly@survex.com>  Wed, 28 Aug 2013 10:25:35 +1200

wxwidgets2.8 (2.8.12.1-14) unstable; urgency=low

  * Apply patch from Fabrice Coutadeur to enable wxmediactrl.
    (Closes: #588104)
  * New patch wx-2.8.12-print-ps-in-latin1-locale-segv-v2.patch
    (Closes: #702378)
  * debian/control.in: Remove errant backquote.  (Closes: #713866)

 -- Olly Betts <olly@survex.com>  Fri, 12 Jul 2013 22:47:48 +1200

wxwidgets2.8 (2.8.12.1-13) unstable; urgency=low

  * We don't actually use pangox, so don't test for it (new patch
    dont-check-for-pangox.patch from Emilio Pozuelo Monfort).
    (Closes: #701836)
  * Allow img2py to work with an X display (new patch
    img2py-no-display.patch from Nicolas Boulenguez).  (Closes: #698198)
  * Build --without-gnomeprint.  (Closes: #644571)
  * Update B-D from libtiff4-dev to libtiff5-dev.
  * Enable hardening flags, except for wxPython for which we need a way to get
    the extra compiler flags through setup.py.
  * Drop 'Conflicts' and 'Replaces' on wx 2.4 and 2.5 packages, and versioned
    'Build-Depends' relating to pre-squeeze versions.
  * Standards-Version: 3.9.4 (no changes required).
  * Update debhelper compatibility level from 7 to 9.
  * Fix vcs-field-not-canonical lintian warning by updating VCS URLs.

 -- Olly Betts <olly@survex.com>  Sat, 08 Jun 2013 22:23:20 +0000

wxwidgets2.8 (2.8.12.1-12) unstable; urgency=low

  * Make python-wxversion conflict with python-wxgtk2.8 (<< 2.8.12.1-1~) to
    guarantee upgrade ordering when moving from pycentral to dh_python2.
    (Closes: #684150)

 -- Olly Betts <olly@survex.com>  Wed, 19 Sep 2012 00:37:03 +0000

wxwidgets2.8 (2.8.12.1-11) unstable; urgency=low

  * It looks like upstream may not make another 2.8 release, and if they do
    it's unlikely to happen before the freeze, so backport several simple but
    useful patches from upstream's 2.8 SVN branch:

    + ico-saving-buffer-overrun.patch
    + richtextxml-fix.patch
    + slider-label-update.patch
    + wxclipboard-getdata.patch


=== debian/control ===
Source: wxwidgets3.0
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), gettext, libgtk2.0-dev,
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev,
 autotools-dev, libexpat1-dev, dpkg-dev (>= 1.16.1~),
 libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev
Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
Uploaders: Olly Betts <olly@survex.com>
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/freewx/wx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=freewx/wx.git
Homepage: http://www.wxwidgets.org/

Package: libwxbase3.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk3.0 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxbase3.0-dev
Architecture: any
Section: libdevel
Depends: wx3.0-headers (= ${binary:Version}), libwxbase3.0-0 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: wx3.0-doc, gettext
Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxbase3.0-0-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxbase3.0-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: debugging symbols for the wxBase library
 This package contains detached debugging symbols for the wxBase library
 (part of wxWidgets).
 .
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.

Package: libwxgtk3.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk3.0-dev
Architecture: any
Section: libdevel
Depends: wx-common (= ${binary:Version}), wx3.0-headers (= ${binary:Version}), libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), ${misc:Depends}
Suggests: wx3.0-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk3.0-0-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the wxGTK GUI toolkit library
 This package contains detached debugging symbols for the wxGTK library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk2u_media.

Package: libwxgtk-media3.0-0-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the wxGTK media library
 This package contains detached debugging symbols for the wxGTK media library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.0-dev
Architecture: any
Section: libdevel
Depends: wx-common (= ${binary:Version}), wx3.0-headers (= ${binary:Version}), libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
Suggests: wx3.0-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxgtk-media library.

Package: wx-common
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: zip
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx3.0-headers
Architecture: any
Section: devel
Depends: ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx3.0-i18n
Architecture: all
Depends: ${misc:Depends}
Provides: wx-i18n
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx3.0-examples
Architecture: all
Section: devel
Depends: ${misc:Depends}
Suggests: libwxgtk3.0-dev (= ${binary:Version}), wx3.0-doc
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package contains examples of using the wxWidgets toolkit in
 C++.

Package: libwxmsw3.0-dev
Architecture: any
Section: otherosfs
Depends: wx3.0-headers-msw (= ${binary:Version}), ${misc:Depends}
Description: wxMSW mingw32msvc-cross
 mingw32msvc-cross wxMSW libs.

Package: wx3.0-headers-msw
Architecture: any
Section: otherosfs
Depends: wx3.0-headers (= ${binary:Version}), ${misc:Depends}
Description: Extra wxWidgets headers for mingw32msvc-cross
 Headers required by the wxWidgets mingw32msvc-cross libraries.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wx source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

SHELL = /bin/bash

#export DH_VERBOSE=1

export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  JOB_COUNT := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  FAST_MAKE = $(MAKE) -j $(JOB_COUNT)
else
  FAST_MAKE = $(MAKE)
endif

# If another source package is to supply the common binary packages
# for a particular Debian release, then define this variable to indicate
# the $(release) that is expected to provide it.  Do not define it at
# all if this is to be the default (or only) wx source package for the
# target release.
#
# DEBIAN_WX_DEFAULT_VERSION = 2.8


# This will extract a flavour out of the changelog and flavour the
# packages and binaries with it.  'Official' builds should use a
# changelog entry with a source package of the form wxwidgets$RELEASE.
# Flavoured builds may use wxwidgets$RELEASE-$FLAVOUR, where any
# descriptive alphanumeric name will do for FLAVOUR.  This will allow
# a custom build to be installed alongside the mainline ones without
# conflict.
DEBIAN_WXFLAVOUR := $(shell dpkg-parsechangelog | sed -ne '/^Source: /s@.*wxwidgets[0-9.]\+-\?\(.*\)@\1@p')


wx_major_version_number := $(shell sed -n 's/^wx_major_version_number=//p' configure.in)
wx_minor_version_number := $(shell sed -n 's/^wx_minor_version_number=//p' configure.in)
wx_release_number       := $(shell sed -n 's/^wx_release_number=//p' configure.in)

release := $(wx_major_version_number).$(wx_minor_version_number)

so_cur := $(shell sed 's,<set var="WX_CURRENT">\([0-9]\+\)</set>,\1,p;d' build/bakefiles/version.bkl)
so_age := $(shell sed 's,<set var="WX_AGE">\([0-9]\+\)</set>,\1,p;d' build/bakefiles/version.bkl)
soversion := $(shell expr $(so_cur) - $(so_age))

sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))

# Base value for alternative priorities.
alt_prio  := $(subst .,,$(release))

cross_host  := i586-mingw32msvc
cross_build := $(shell /usr/share/misc/config.guess)

config_cache       = ../config_deb.cache
config_cache_cross = ../config_deb_cross.cache


# build options
COMMON_CONFIGURE_OPTIONS := \
    --prefix=/usr \
    --cache-file=$(config_cache) \
    --with-flavour=$(DEBIAN_WXFLAVOUR) \
    --with-zlib=sys \
    --with-expat=sys \
    $(shell dpkg-buildflags --export=configure)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
COMMON_CONFIGURE_OPTIONS += --disable-optimise
endif

BASE_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --disable-gui \
    --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

GTK_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --with-gtk \
    --without-gnomeprint \
    --with-opengl \
    --enable-sound \
    --with-sdl \
    --enable-display \
    --enable-geometry \
    --enable-graphics_ctx \
    --enable-mediactrl \
    --with-libjpeg=sys \
    --with-libpng=sys \
    --with-libtiff=sys \
    --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

MSW_CONFIGURE_OPTIONS = \
    --with-msw \
    --with-opengl \
    --enable-display

# For the MSW packages, enabling threads in wx means that your application will
# have a dependency on mingwm10.dll.  If you don't use threads, this is just an
# annoyance, so default to disabling them.  If you want a wx package to use in
# a threaded application then comment out the next line.
MSW_CONFIGURE_OPTIONS += --disable-threads

# Packages to build:
package_wxbase_lib      := libwxbase$(sorelease)
package_wxbase_dbg      := libwxbase$(sorelease)-dbg
package_wxbase_dev      := libwxbase$(release)-dev

package_gtk_lib         := libwxgtk$(sorelease)
package_gtk_dbg         := libwxgtk$(sorelease)-dbg
package_gtk_dev         := libwxgtk$(release)-dev

package_gtkmedia_lib    := libwxgtk-media$(sorelease)
package_gtkmedia_dbg    := libwxgtk-media$(sorelease)-dbg
package_gtkmedia_dev    := libwxgtk-media$(release)-dev

package_headers         := wx$(release)-headers
package_i18n            := wx$(release)-i18n
package_examples        := wx$(release)-examples
package_common           = wx-common

# The packages listed here are common to all wx versions, and may be provided
# by another source package if more than one is in the release simultaneously.
common_packages	:= $(package_common)


package_msw_dev         := libwxmsw$(release)-dev
package_headers_msw     := wx$(release)-headers-msw

# The packages listed here will not be built by default.
do_not_build_packages := $(package_msw_dev) $(package_headers_msw)
ifdef DEBIAN_WX_DEFAULT_VERSION
do_not_build_packages += $(common_packages)
endif


# Build directories:
objdir_wxbase_shared       = objs_wxbase_sh
objdir_gtk_shared          = objs_gtk_sh
objdir_gtk_install         = objs_gtk_install
objdir_examples            = docs/examples
objdir_i18n                = locale

objdir_msw_shared          = objs_msw_sh
objdir_msw_static          = objs_msw_st
objdir_msw_install         = objs_msw_install

objdirs := $(objdir_wxbase_shared) $(objdir_gtk_shared) $(objdir_gtk_install) \
	   $(objdir_examples) \
	   $(objdir_msw_shared) $(objdir_msw_static) $(objdir_msw_install)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGTK shared lib package.


# Build stamps:
build_arch_stamps = build-wxbase-shared-stamp \
                    build-gtk-shared-stamp build-gtk-shared-contrib-stamp \
                    build-i18n-stamp

build_indep_stamps = build-examples-stamp

build_cross_stamps = build-msw-shared-stamp build-msw-static-stamp

build_stamps_native := $(build_arch_stamps) $(build_indep_stamps)

build_stamps := $(build_stamps_native) $(build_cross_stamps)


# Install targets:
install_all_arch = install-wxbase-lib install-wxbase-dev \
                   install-gtk-lib install-gtk-dev        \
		   install-gtkmedia-lib install-gtkmedia-dev \
                   install-headers install-i18n

ifndef DEBIAN_WX_DEFAULT_VERSION
  install_all_arch += install-common
endif

install_all_indep = install-examples

install_all_cross = install-msw-dev install-headers-msw

install_all_native := $(install_all_arch) $(install_all_indep)

install_all := $(install_all_native) $(install_all_cross)


# The Rules:

config.guess config.sub:
	ln -sf /usr/share/misc/config.guess /usr/share/misc/config.sub .

debian/control: debian/control.in
	sed -e 's/=V/$(release)/g;s/=SOV/$(sorelease)/g'\
		< debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_wxbase_dev).$$f";    \
		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g;s/=MA/$(DEB_HOST_MULTIARCH)/g' \
			< debian/libwxbase-dev.$$f                           \
			> debian/$(package_wxbase_dev).$$f;                  \
	done
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_gtk_dev).$$f";       \
		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g;s/=MA/$(DEB_HOST_MULTIARCH)/g' \
			< debian/libwxgtk-dev.$$f                            \
			> debian/$(package_gtk_dev).$$f;                     \
	done
	@for f in examples; do                                               \
		echo "generating control file $(package_examples).$$f";      \
		cp debian/wx-examples.$$f debian/$(package_examples).$$f;    \
	done
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_msw_dev).$$f";       \
		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g'            \
		    -e	's/=H/$(cross_host)/g;'                              \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg.*$// \
  http://sf.net/wxwindows/wxWidgets-([0-9.]+)\.tar\.bz2 debian uupdate

## wxwidgets3.0 3.0.1

=== debian/changelog ===
wxwidgets3.0 (3.0.1-3) unstable; urgency=medium

  [ Olly Betts ]

  * debian/control.in: Update "Vcs-*" fields to include the branch name.
    (Thanks vcswatch)
  * debian/control.in: Drop "Suggests: libstdc++-dev" from -dev packages
    - you need a C++ compiler installed for the -dev packages to be
    useful, which should ensure the appropriate C++ runtime -dev package
    is installed.
  * Split off the msw cross packages into debian/control.msw.in, which we
    only include in the generated debian/control when building the cross
    packages.  This avoids source-only uploads erroneously ending up in
    NEW.

  [ Gianfranco Costamagna ]

  * debian/control.in: Promote dependency of libwxgtk3.0-dev on
    "libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev" from
    "Suggests" to "Depends", as these are required to build code which uses
    wxGLCanvas.  Drop this dependency entirely from libwxgtk-media3.0-dev
    and libwxgtk-webview3.0-dev as these both depend on libwxgtk3.0-dev,
    and it is the latter which actually needs them.  (Closes: #757638)

 -- Olly Betts <olly@survex.com>  Mon, 11 Aug 2014 17:48:06 +1200

wxwidgets3.0 (3.0.1-2) unstable; urgency=medium

  * New patch gcc4.9-workaround.patch to work around GCC 4.9 bug
    #752733.
  * debian/unpack_examples.sh.in: Don't uncompress files which are
    already compressed upstream.  Add missing quoting of filenames.
    Add "set -e".

 -- Olly Betts <olly@survex.com>  Sat, 28 Jun 2014 15:00:12 +1200

wxwidgets3.0 (3.0.1-1) unstable; urgency=medium

  * New upstream release
    + Incorporates most of the patches we were carrying - only one left is:
      wx-config-conditionalise-webview-in-std.patch
  * Drop versioning of dependencies from run-time libraries to wx-common -
    this will make the transition to the next wx version harder, and also
    makes backporting to wheezy more work.
  * Mark -dbg packages as "Multi-Arch: same".
  * Correct short descriptions of the webview packages to not just be
    copies of the corresponding media package's short description.
  * Wrap 81 character line in package description.

 -- Olly Betts <olly@survex.com>  Wed, 18 Jun 2014 12:42:22 +1200

wxwidgets3.0 (3.0.0-4) unstable; urgency=medium

  * Only include webview in the "std" gui libs if libwxgtk-webview3.0-dev is
    installed (new patch wx-config-conditionalise-webview-in-std.patch).
    (Closes: #749292)

 -- Olly Betts <olly@survex.com>  Mon, 26 May 2014 14:03:35 +1200

wxwidgets3.0 (3.0.0-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]

  * Standards-Version: 3.9.5 (no changes required).
  * New libwxgtk-webview3.0-0{,-dbg,-dev} packages (Closes: #738849)
    + debian/control.in: add libwebkitgtk-dev as b-d
      needed to enable webview support
    + debian/rules: split webview library in the new package
  * Backport fix from upstream VCS:
    + debian/patches/fix-bug-736374.patch: Fix scroll with mouse wheel
      (thanks Tillmann Karras the bug report and patch url. (Closes: #736374)

  [ Olly Betts ]

  * debian/patches/propgrid-assertion-fixes.patch: Fix crash on "Try these"
    in the propgrid example (Closes: #746192)

 -- Olly Betts <olly@survex.com>  Wed, 21 May 2014 15:45:59 +1200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev,
  autotools-dev, libexpat1-dev, dpkg-dev (>= 1.16.1~),
- libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev
+ libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev, libwebkitgtk-dev
 Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
 Uploaders: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/freewx/wx.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=freewx/wx.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/freewx/wx.git -b wx3.0-debian
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freewx/wx.git;a=shortlog;h=refs/heads/wx3.0-debian
 Homepage: http://www.wxwidgets.org/
 
 Package: libwxbase3.0-0
@@ -87,8 +87,8 @@
 Package: libwxgtk3.0-dev
 Architecture: any
 Section: libdevel
-Depends: wx-common (= ${binary:Version}), wx3.0-headers (= ${binary:Version}), libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
+Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, ${misc:Depends}
+Suggests: wx3.0-doc, gettext
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -106,6 +106,7 @@
 Section: debug
 Priority: extra
 Depends: libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: debugging symbols for the wxGTK GUI toolkit library
  This package contains detached debugging symbols for the wxGTK library
  (part of wxWidgets).
@@ -133,6 +134,7 @@
 Section: debug
 Priority: extra
 Depends: libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: debugging symbols for the wxGTK media library
  This package contains detached debugging symbols for the wxGTK media library
  (part of wxWidgets).
@@ -144,8 +146,8 @@
 Package: libwxgtk-media3.0-dev
 Architecture: any
 Section: libdevel
-Depends: wx-common (= ${binary:Version}), wx3.0-headers (= ${binary:Version}), libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
+Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
+Suggests: wx3.0-doc, gettext
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -153,6 +155,48 @@
  .
  This package provides files needed to compile wxWidgets programs using the
  wxgtk-media library.
+
+Package: libwxgtk-webview3.0-0
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).  For more information see http://wxwidgets.org
+ .
+ This package provides the webview shared libraries needed to run programs
+ linked against libwx_gtk2u_webview.
+
+Package: libwxgtk-webview3.0-0-dbg
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Section: debug
+Priority: extra
+Depends: libwxgtk-webview3.0-0 (= ${binary:Version}), libwxgtk3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
+Suggests: libwebkitgtk-3.0-0-dbg
+Multi-Arch: same
+Description: debugging symbols for the wxGTK webview library
+ This package contains detached debugging symbols for the wxGTK webview library
+ (part of wxWidgets).
+ .
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).
+
+Package: libwxgtk-webview3.0-dev
+Architecture: any
+Section: libdevel
+Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk-webview3.0-0 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
+Suggests: wx3.0-doc, gettext
+Description: wxWidgets Cross-platform C++ GUI toolkit (webview library development)
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).
+ .
+ This package provides files needed to compile wxWidgets programs using the
+ wxgtk-webview library.
 
 Package: wx-common
 Architecture: any
@@ -205,17 +249,3 @@
  This package contains examples of using the wxWidgets toolkit in
  C++.
 
-Package: libwxmsw3.0-dev
-Architecture: any
-Section: otherosfs
-Depends: wx3.0-headers-msw (= ${binary:Version}), ${misc:Depends}
-Description: wxMSW mingw32msvc-cross
- mingw32msvc-cross wxMSW libs.
-
-Package: wx3.0-headers-msw
-Architecture: any
-Section: otherosfs
-Depends: wx3.0-headers (= ${binary:Version}), ${misc:Depends}
-Description: Extra wxWidgets headers for mingw32msvc-cross
- Headers required by the wxWidgets mingw32msvc-cross libraries.
-

## wxwidgets3.0 3.0.2

=== debian/changelog ===
wxwidgets3.0 (3.0.2-1) unstable; urgency=low

  [ Olly Betts ]

  * New upstream release:
    - wxTR_EDIT_LABELS now works again.  (Closes: #762134)
  * Disable gcc4.9-workaround.patch, as GCC is now fixed in jessie and this
    bug is new in 4.9 so wheezy was never affected.

  [ Christian Beier ]

  * debian/control.in: Add BD on libnotify-dev to enable use of libnotify.
    (Closes: #745887)

 -- Olly Betts <olly@survex.com>  Tue, 07 Oct 2014 13:12:10 +1300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
  zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev,
  autotools-dev, libexpat1-dev, dpkg-dev (>= 1.16.1~),
- libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev, libwebkitgtk-dev
+ libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev, libwebkitgtk-dev,
+ libnotify-dev
 Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
 Uploaders: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
     --with-flavour=$(DEBIAN_WXFLAVOUR) \
     --with-zlib=sys \
     --with-expat=sys \
-    $(shell dpkg-buildflags --export=configure)
+    $(shell DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed dpkg-buildflags --export=configure)
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 COMMON_CONFIGURE_OPTIONS += --disable-optimise
@@ -80,24 +80,25 @@
     --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 GTK_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
-    --with-gtk \
-    --without-gnomeprint \
-    --with-opengl \
-    --enable-sound \
-    --with-sdl \
     --enable-display \
     --enable-geometry \
     --enable-graphics_ctx \
     --enable-mediactrl \
+    --enable-sound \
+    --enable-webview \
+    --with-gtk \
     --with-libjpeg=sys \
     --with-libpng=sys \
     --with-libtiff=sys \
+    --with-opengl \
+    --with-sdl \
+    --without-gnomeprint \
     --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 MSW_CONFIGURE_OPTIONS = \
+    --enable-display \
     --with-msw \
-    --with-opengl \
-    --enable-display
+    --with-opengl
 
 # For the MSW packages, enabling threads in wx means that your application will
 # have a dependency on mingwm10.dll.  If you don't use threads, this is just an
@@ -118,6 +119,10 @@
 package_gtkmedia_dbg    := libwxgtk-media$(sorelease)-dbg
 package_gtkmedia_dev    := libwxgtk-media$(release)-dev
 
+package_gtkwebview_lib    := libwxgtk-webview$(sorelease)
+package_gtkwebview_dbg    := libwxgtk-webview$(sorelease)-dbg
+package_gtkwebview_dev    := libwxgtk-webview$(release)-dev
+
 package_headers         := wx$(release)-headers
 package_i18n            := wx$(release)-i18n
 package_examples        := wx$(release)-examples
@@ -132,7 +137,7 @@
 package_headers_msw     := wx$(release)-headers-msw
 
 # The packages listed here will not be built by default.
-do_not_build_packages := $(package_msw_dev) $(package_headers_msw)
+do_not_build_packages :=
 ifdef DEBIAN_WX_DEFAULT_VERSION
 do_not_build_packages += $(common_packages)
 endif
@@ -176,6 +181,7 @@
 install_all_arch = install-wxbase-lib install-wxbase-dev \
                    install-gtk-lib install-gtk-dev        \
 		   install-gtkmedia-lib install-gtkmedia-dev \
+		   install-gtkwebview-lib install-gtkwebview-dev \
                    install-headers install-i18n
 
 ifndef DEBIAN_WX_DEFAULT_VERSION
@@ -218,7 +224,3 @@
 		echo "generating control file $(package_examples).$$f";      \
 		cp debian/wx-examples.$$f debian/$(package_examples).$$f;    \
 	done
-	@for f in postinst prerm; do                                         \
-		echo "generating control file $(package_msw_dev).$$f";       \
-		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g'            \
-		    -e	's/=H/$(cross_host)/g;'                              \
